Syndai Docs

Attach a connected tool

POST
/api/v1/external/coding/repos/{coding_repository_id}/knowledge/tools/{custom_tool_id}

Search a connected tool (Notion, a docs server, ...) from this project: its search and read tools are found and pinned. A tool without such a pair, or one that needs signing in again, is a 409. Requires coding:knowledge:sync.

Authorization

CustomerApiKey
headerAuthorizationBearer <API Key>

Customer API key sent as a bearer token

Path Parameters

coding_repository_id*string
Formatuuid
custom_tool_id*string
Formatuuid

Query Parameters

customer_id?|null

Response Body

Request fulfilled, document follows

application/json
  1. response
bytes*integer
connection?string|null
created_by?|null
custom_tool_id?|null
errors*array<>
failed*integer
files*integer
id*string
Formatuuid
kind*string
name*string
pending?integer
Default0
status*string
synced_at?|null
Example Request
curl -X POST 'https://api.syndai.ai/api/v1/external/coding/repos/497f6eca-6276-4993-bfeb-53cbbbba6f08/knowledge/tools/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "bytes": 0,  "connection": "string",  "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",  "custom_tool_id": "ee324563-c6f2-47e0-b512-683b3bbc5b59",  "errors": [    {      "error": "string",      "path": "string"    }  ],  "failed": 0,  "files": 0,  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "kind": "string",  "name": "string",  "pending": 0,  "status": "string",  "synced_at": "2019-08-24T14:15:22Z"}
Was this page helpful?